Instalacion de Beryl

+1
0
-1

Hola a todos....

Les estoy pasando el procedimiento de instalacion de beryl. Les digo que lo encontre por ahi no recuerdo en que lugar, pero esta super completo, lo probe y me funciono sin problemas.

Espero que les sea de utilidad..

Introducción
El procedimiento que se explica más abajo se ha probado tanto en Ubuntu Dapper como en Ubuntu Edgy sin cambiar ningún paso. Además, las tarjetas que se han probado han sido tanto Nvidia como ATI* (con la aceleración 3D ya configurada).
Antes de comenzar con la instalación propiamente dicha, debemos comprobar que no tenemos ningún rastro del compiz ni del xgl (para empezar de cero). Para ello, ejecuta:
# apt-get remove compiz compiz-gnome xserver-xgl
Si tenías algo instalado, acepta que APT desinstale todo resto de software anticuado .

Instalación
Añadiendo repositorios
El software que necesitamos para la instalación no viene por defecto en Ubuntu (de momento). Es por ello que debemos añadir repositorios en el archivo /etc/apt/sources.list. Así:
$ sudo gedit /etc/apt/sources.list
Y añade:
deb http://www.beerorkid.com/compiz/ dapper main
deb http://xgl.compiz.info/ dapper main
deb-src http://xgl.compiz.info/ dapper main
Los paquetes de beerorkid van firmados, luego tienes que disponer de las claves:
$ wget http://www.beerorkid.com/compiz/quinn.key.asc -O - | sudo apt-key add -
Preparando el sistema
Para actualizar tu sistema, de forma que los paquetes de Beryl y Xgl se puedan instalar, debemos ejecutar lo siguiente:
$ sudo aptitude update && sudo aptitude upgrade && sudo aptitude dist-upgrade
La última acción (dist-upgrade) es algo "comprometida", sobre todo en Edgy (a día de hoy). He comprobado que en Edgy no hace falta hacer el dist-upgrade, sin embargo, en Dapper es obligatorio (si no lo habías hecho recientemente) y es seguro hacerlo (Dapper es estable).
Instalando
Sólo hay que instalar estos paquetes:
$ sudo apt-get install xserver-xgl libgl1-mesa xserver-xorg libglitz-glx1 beryl beryl-core beryl-manager beryl-plugins beryl-plugins-data beryl-settings emerald emerald-themes
Retoques finales
Para hacer más cómo el uso de Xgl y Beryl vamos a configurar Gnome y GDM para tal fin. Primero, añadimos como programa al inicio:
beryl-manager
Esto lo hacemos de forma gráfica, desde el menú de Gnome, en Sistema->APreferencias->Sesiones y en la pestaña de "Programas al inicio". Así, sin tener que preocuparnos más adelante, Berly se iniciará automáticamente al hacer login.
Vamos a crear ahora el lanzador del servidor Xgl. Para ello, utilizamos un editor de textos y creamos un archivo de la siguiente forma:
$ sudo gedit /usr/bin/startgnomexgl.sh
Y en su interior colocamos lo siguiente:
Xgl -fullscreen :1 -ac -accel glx:pbuffer -accel xv:pbuffer & sleep 2 && DISPLAY=:1
# Iniciar Gnome
exec gnome-session
Esta configuración funciona sin problemas tanto para una ATI como para una Nvidia (siempre y cuando tengamos aceleración 3D activado).
Para evitar problemas mayores, vamos a hacer Xgl sea una sesión. De esta forma, si no nos funciona o tenemos cualquier tipo de problema, podemos volver a nuestra configuración inicial sin causar "grandes daños". Creamos la sesión editando el siguiente archivo:
$ sudo gedit /usr/share/xsessions/Gnome-Xgl.desktop
Cuyo contenido debe ser el siguiente:
[Desktop Entry]
Encoding=UTF-8
Name=gnome-xgl
Exec=/usr/bin/startgnomexgl.sh
Icon=
Type=Application
Finalmente, damos los permisos correspondientes:
$ sudo chmod 755 /usr/share/xsessions/Gnome-Xgl.desktop
$ sudo chmod 755 /usr/bin/startgnomexgl.sh
Hasta aquí, la instalación de Xgl y Beryl.
¿Probando? 1,2...
Una vez instalado todo, debemos reiniciar el servidor gráfico. Puedes hacerlo de varias formas:
Saliendo de tú sesión.
Pulsando Control+Alt+BackSpace (una forma más rápida)
Desenchunfando y enchunfando de nuevo el ordenador. ¡¡¡MUY POCO RECOMENDABLE!!!
Dejando las gracias a un lado, una vez que hayas reiniciado el sistema gráfico tienes que modificar la sesión que vas a utilizar. Por ello, antes de introducir tus datos de login cambia la sesión a "Gnome-Xgl". Una vez dentro, si todo ha ido bien, comproborás que ya tienes todos los efectos que trae Berly. Además, existe un "applet" en la barra de Gnome para configurar todo el sistema Berly; incluso, trae un selector de temas de escritorio muy "modernos".
Problemas comunes
La configuración del teclado: Berly y Xgl puede que te cambien la configuración del teclado. Para volver a una configuración normal mira en Sistema->Preferencias->Teclado. Además de cambiar la distribución del teclado según el idioma, ahí podrás mapear la tecla Super. En "Comportamiento de la Distribución" y, concretamente, en "Comportamiento de la tecla Alt/Windows" puedes hacer que Super esté mapeada en la tecla Windows, por ejemplo.

Comentarios

Imagen de Anónimo

hola mira estoy siguiendo tu tutorial, y cuando trato de actualizar me trae errores q debo hacer.? espero q me den una mano porque soy bastante lelo con esto... gracias

gismotel@gismotel-desktop:~$ sudo aptitude update
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo información de estado... Hecho
Inicializando el estado de los paquetes... Hecho
Construir la base de datos de etiquetas... Hecho
Des:1 http://www.beerorkid.com dapper Release.gpg [189B]
Ign http://www.beerorkid.com dapper/main Translation-es
Des:2 http://ar.archive.ubuntu.com edgy Release.gpg [191B]
Obj http://ar.archive.ubuntu.com edgy/main Translation-es
Des:3 http://security.ubuntu.com edgy-security Release.gpg [191B]
Ign http://security.ubuntu.com edgy-security/main Translation-es
Ign http://security.ubuntu.com edgy-security/restricted Translation-es
Obj http://ar.archive.ubuntu.com edgy/restricted Translation-es
Des:4 http://ar.archive.ubuntu.com edgy-updates Release.gpg [189B]
Ign http://ar.archive.ubuntu.com edgy-updates/main Translation-es
Ign http://ar.archive.ubuntu.com edgy-updates/restricted Translation-es
Obj http://security.ubuntu.com edgy-security Release
Obj http://ar.archive.ubuntu.com edgy Release
Obj http://ar.archive.ubuntu.com edgy-updates Release
Obj http://security.ubuntu.com edgy-security/main Packages
Obj http://www.beerorkid.com dapper Release
Obj http://ar.archive.ubuntu.com edgy/main Packages
Obj http://ar.archive.ubuntu.com edgy/restricted Packages
Obj http://ar.archive.ubuntu.com edgy/main Sources
Obj http://security.ubuntu.com edgy-security/restricted Packages
Obj http://security.ubuntu.com edgy-security/main Sources
Obj http://security.ubuntu.com edgy-security/restricted Sources
Ign http://www.beerorkid.com dapper/main Packages
Obj http://ar.archive.ubuntu.com edgy/restricted Sources
Obj http://ar.archive.ubuntu.com edgy-updates/main Packages
Obj http://ar.archive.ubuntu.com edgy-updates/restricted Packages
Obj http://ar.archive.ubuntu.com edgy-updates/main Sources
Obj http://ar.archive.ubuntu.com edgy-updates/restricted Sources
Obj http://www.beerorkid.com dapper/main Packages
Err http://xgl.compiz.info dapper Release.gpg
No pude conectarme a xgl.compiz.info:80 (195.14.0.203), expiró tiempo para conexión
Err http://xgl.compiz.info dapper/main Translation-es
No pude conectarme a xgl.compiz.info:80 (195.14.0.203), expiró tiempo para conexión
Descargados 4B en 4m0s (0B/s).
Leyendo lista de paquetes... Hecho

Imagen de amt130

tengo una DELL GX270, con tarjeta nvidia,
estoy trabajando con una maquina virtual,
instale Beryl /etc/X11/xorg.conf
configuré /etc/X11/xorg.conf como lo indican y todo lo demás,
al reinciar me mandó un mensaje de que no puede iniciar el
servidor grÁfico y todo lo demas y me mando a linea de comandos,
lo que hice fue regresar el /etc/X11/xorg.conf respaldado y
logré entrar en el ambiente grafico,
ahora aparece el icono de Beryl en la barra de tareas,
al habilitarlo me muestra una serie de opciones a trabajar, incluso los temas de esmeralda
pero no sé como ponerlo en 3d y ver el cubo,
parece que me falta alguna configuración incluso uso el comando 3ddesk tal vez sea independiente
no se si sea problema de configuración o de controladores graficos de la maquina virtual.
si sabe alguien donde esta el problema se los agradezco.

Arturo

Imagen de Cocolite

Mira lo mas seguro es que tengas un problema con tus controladores, tu dices que cuando intentaste cargar con el ambiente grafico de donde carga Beryl te da problemas y te toco cargar con algun otro, eso se debe a que al inicio de tu carga, algo anda mal.

Si hiciste los pasos adecuadamente y no te carga el entorno grafico correctamente, lo mas seguro es que tengas problemas con el controlador grafico.

Cocolite...

Cocolite...

Imagen de Cocolite

Mira en este caso tu estas teniendo problemas con los repositorios, asegurate que estas agregando los repositorios en el sources.list.

Es posible tambien que estes utilizando edgy, y le estas poniendo repositorios para dapper, y estas haciendo un aroz con mango. Asegurate que estes utilizando los repositorios correctos.

Cocolite...

Cocolite...

Imagen de neitzan

Buf! esto es mucho para mi. Ya lo he configurado pero tengo dos dudas...

1. ¿Por qué y de qué manera, arreglo el tema que los botones, menus y tal de gnome, me salen en un gris horrible? es decir... ¿dónde puedo cambiar el tema?

2. ¿Cómo se desinstala todo esto y vuelvo a dejarlo todo como estaba?

Gracias

¿Aburrido de la vida? http://neoaburrimiento.blogspot.com/

Imagen de lbello

Quería agradecerle al Sr. Cocolite por el procedimiento de instalación del beryl. Seguí tus pasos y sin problemas.
Ahora, tengo una consulta:
yo modifiqué la sesión y ahora entro por "Gnome-Xgl", como lopropones en el procedimiento, pero en la sesión que usaba anteriormente (Predeterminada por el sistema) yo tenia dos cuentas distintas. Con mi usuario entro perfecto y me corre el beryl, pero con la otra cuenta que de paso no tiene privilegios para instalación de programas (será esto), no me corre el beryl. Me gustaría saber si me puedes ayudar con esto? y nuevamente estoy agradecido por tu procedimiento.

Saludos...

Imagen de ten

Mira no se, tengo una lap hpdv1000 mi tarjeta de video no la conozco, soy nuevo usando linux y de pilon no se ingles lo suficiente xP,al escribir la primeralinea de comando me sale esto:

apt-get remove compiz compiz-gnome xserver-xgl

Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo información de estado... Hecho
El paquete compiz no esta instalado, no se eliminará
El paquete compiz-gnome no esta instalado, no se eliminará
El paquete xserver-xgl no esta instalado, no se eliminará
0 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.

y en la segunda linea me sale esto:
deb http://mx.archive.ubuntu.com/ubuntu/ edgy main restricted
deb-src http://mx.archive.ubuntu.com/ubuntu/ edgy main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://mx.archive.ubuntu.com/ubuntu/ edgy-updates main restricted
deb-src http://mx.archive.ubuntu.com/ubuntu/ edgy-updates main restricted

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
# deb http://mx.archive.ubuntu.com/ubuntu/ edgy universe
# deb-src http://mx.archive.ubuntu.com/ubuntu/ edgy universe

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://mx.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse
# deb-src http://mx.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu edgy-security main restricted
deb-src http://security.ubuntu.com/ubuntu edgy-security main restricted
# deb http://security.ubuntu.com/ubuntu edgy-security universe
# deb-src http://security.ubuntu.com/ubuntu edgy-security universe

en un archivo de texto llamado sources.list(etc/apt)-gedit, y esperense, tengo Ubuntu 6.10, ayuda xD!!

"Buscad en las sendas antiguas por que son mejor las nuevas..."

"Buscad en las sendas antiguas por que son mejor las nuevas..."

Imagen de msdark

Active xgl para mi ati radeon 9550 y dice que funciona aunque se cae (pega) el sistema cuando ejecuto glxgears para ver los fps, a pesar de eso instale beryl... todo ok pero cuando quiero ejecutar por ejemplo lo de mover el cubo se pega y no me deja hacer nada salvo reiniciar desde el boton del pc....
A que se debe eso????

…”la vida no son los momentos en que tienes el aliento, sino aquellos en que lo pierdes”…

Imagen de jlabenza

Magnífico, lo he instalado sin ningún problema, muchas gracias.
La verdad es que se ve impresionante... (y no hace falta una máquina especial como Vista...)

Imagen de Anónimo

He seguido todos los pasos del tutorial, pero tengo problemas a la hora de instalar los paquetes, me gustaria obtener una solucion,porque la verdad es que lo he intentado varias veces y me sigue dando el mismo error. Os lo pongo aqui.Gracias de antemano.

:~$ sudo apt-get install xserver-xgl libgl1-mesa xserver-xorg libglitz-glx1 beryl beryl-core beryl-manager beryl-plugins beryl-plugins-data beryl-settings emerald emerald-themes
Reading package lists... Done
Building dependency tree... Done
libgl1-mesa is already the newest version.
xserver-xorg is already the newest version.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
beryl: Depends: libberylsettings0 but it is not going to be installed
Depends: libberyldecoration0 but it is not going to be installed
beryl-core: Depends: libberylsettings0 but it is not going to be installed
Depends: libc6 (>= 2.4-1) but 2.3.6-0ubuntu20.4 is to be installed
Depends: libglib2.0-0 (>= 2.12.0) but 2.10.3-0ubuntu1 is to be installed
beryl-manager: Depends: libatk1.0-0 (>= 1.12.1) but 1.11.4-0ubuntu1 is to be installed
Depends: libc6 (>= 2.4-1) but 2.3.6-0ubuntu20.4 is to be installed
Depends: libcairo2 (>= 1.2.4) but 1.0.4-0ubuntu1 is to be installed
Depends: libglib2.0-0 (>= 2.12.0) but 2.10.3-0ubuntu1 is to be installed
Depends: libgtk2.0-0 (>= 2.10.3) but 2.8.20-0ubuntu1.1 is to be installed
Depends: libpango1.0-0 (>= 1.14.5) but 1.12.3-0ubuntu3 is to be installed
beryl-plugins: Depends: libberyldecoration0 but it is not going to be installed
Depends: libberylsettings0 but it is not going to be installed
Depends: libc6 (>= 2.4-1) but 2.3.6-0ubuntu20.4 is to be installed
Depends: libcairo2 (>= 1.2.4) but 1.0.4-0ubuntu1 is to be installed
Depends: libdbus-1-3 but it is not installable
Depends: libglib2.0-0 (>= 2.12.0) but 2.10.3-0ubuntu1 is to be installed
Depends: libgtk2.0-0 (>= 2.10.3) but 2.8.20-0ubuntu1.1 is to be installed
Depends: libberyldecoration0 but it is not going to be installed
beryl-settings: Depends: beryl-settings-bindings but it is not going to be installed
emerald: Depends: libemeraldengine0 but it is not going to be installed
Depends: libberyldecoration0 but it is not going to be installed
xserver-xgl: Depends: libc6 (>= 2.4-1) but 2.3.6-0ubuntu20.4 is to be installed
E: Broken packages

Imagen de Anónimo

buenas de verdad que no me han respondido o es que no me han llegado los mensajes, pero la verdad que quiero saber como conectarme a internet, el problema es que tengo windows y no he instalado linux, como hago? ah y tengo una tarjeta D-LINk y me capta una señal pero esta bloqueada pero me han dicho que se puede desbloquear a traves de unas claves de linux de verdad me gustaria que me ayudaran gracias espero sus respuestas,,,,,,,,,,que alguien me ayudeeeeeeeeeeeeeeeeeeeee

Imagen de ismael.garcia

Hola
Yo he instalado Beryl de la siguiente forma:
Configure mi tarjeta NVIDIA GEforce GO 7300 con Automatix, creo que es lo mejor ya que probé a bajarmelos de la páina pero me daba problema.
Después tienes que asegurarte de que te funciona bien la aceleración gráfica con:
$ glxinfo | grep direct
direct rendering: Yes
si no pone nada es que no hay aceleración gráfica.
Y puedes probar también glxgears para asefurarte.

Para instalar Beryl segui los pasos de esta página que es muy facil seguir los pasos http://wiki.beryl-project.org/wiki/Install_Beryl_on_Ubuntu_Edgy_with_nVi...
y ya esta, creo que hay que reiniciar.

beryl se inicia funciona dando a un acceso directo que has hecho en el escritorio o en el icono de Aplicaciones.

EL PROBLEMA VIENE AHORA.

Cuando lo ejecuto parece que todo funciona bien, pero por una extraña razón que no comprendo las cabeceras de las ventanas desaparecen,
A veces se bloquea al principio y tengo que apagar.
Otras veces se bloquea cuando pulso Alt+Tab para cambiar de ventana, pero no hace falta apagar el ordenador con Ctrl+Alt+Del me salgo al inicio de sesión.

Alguien ha conseguido resolver estos problemas o sabe como solucionarlos??, Muchas gracias

Imagen de virako

Tengo un mareo de cabeza de tanto leer como funciona beryl, instalar se me instala estupendamente pero cuando inicio el escritorio me va muy lento y la aceleracion 3d de mi tarjeta grafica (ATI Radeon X550) esta desinstalada, antes de instalar beryl estaba instalada, parece ser que al instalar beryl se desinstala la targeta grafica.

Me sale la esmeralda esa roja arriba y cuando pongo el gestor de ventanas (KDE Window manager) me tira un fallo diciendo:
El administrador de Composite falló dos veces en un minuto y se ha deshabilitado para esta sesión.

El escritorio sigue yendo lento, beryl no funciona y mi targeta grafica esta desinstalada, y no la puedo instalar porque no funciona, parece que no es compatible con beryl. Ayudarme por favor, a ver si soy capaz de poner de una vez beryl, Gracias.

Imagen de noalone

Pues esta mañana me decidi a instalar beril en mi portatil centrino 1.73Ghz con la grafica integrada en placa MOBILE INTEL 915GM/GMS,910GML EXPRESS CHISET FAMILY de 128 mb no dedicados.

Hice el procedimiento uno a uno y todo perfecto pero al iniciar la sesion se pone la esmeralda al lado del relog pero ni rastro del cubo ni nada sigue siengo gnome o kde es que sea.

no se si es que por ser esa grafica no va o es que esta desactivada la opcion 3d?

Alguna sugerencia?

Imagen de ismael.garcia

No he visto ningún tutorial para esa tarjeta, pero si pones esto
$ glxinfo | grep direct
deberia salirte algo como direct rendering: Yes, lo que significaria que tienes aceleración gráfica.

Imagen de virako

Por ahora entonces no puedo poner beryl con esta tarjeta no ??

Al poner lo ke me dices en el terminal me sale esto:
Xlib: extension "XFree86-DRI" missing on display ":0.0".
direct rendering: No
OpenGL renderer string: Mesa GLX Indirect

quiere decir que no tengo acelracion 3d instalada, pero eske la instalo de la siguiente manera, y sigue sin funcionar:

me bajo de esta pagina el driver de mi tarjeta, radeon x550:
http://ati.amd.com/support/driver.html

despues en un terminal pongo lo siguiente:
sudo sh ati-driver-installer-8.33.6-x86.x86_64.run

Imagen de Dasz

Ok segui las instrucciones al pie de la letra, antes tenia instalados los drivers propietarios de NVIDIA y me dio un problema al iniciar el X, el cual se resolvio al reinstalar los drivers.

Ahora cuando inicio sesion pues no veo nada de los temas de beryl activos (la aplicacion parece estar corriendo) y pues las barras de ventanas estan ausentes (minimizar, maximizar, cerrar, etc)... alguna idea???

me salte un paso... me golpeo con un salmon en la cabeza por eso..

ahora tengo otro problema... NO TODAS LAS VECES que inicio sesion arranca beryl de manera adecuada... algunas veces las sombras parpadena y no muestran las ventanas emergentes... ya de hecho tengo problemas con el X el cual explico aqui pero no se que tanto será

otra cosa: cada vez que presiono shift+backspace reinicio el X, hay alguna forma de desbindearlo??...

aqui posteo mi xorg.conf

ACTUALIZADO
cuando corro: glxinfo | grep direct
me responde:
direct rendering: No

???????????????????????????????????????????????????????????????? definitivamente tengo aceleracion grafica. q puede ser?

**************************************************************************************************************************
*****************************************************************************************************************************

Section "Files"

# path to defoma fonts
FontPath "/usr/share/X11/fonts/misc"
FontPath "/usr/share/X11/fonts/cyrillic"
FontPath "/usr/share/X11/fonts/100dpi/:unscaled"
FontPath "/usr/share/X11/fonts/75dpi/:unscaled"
FontPath "/usr/share/X11/fonts/Type1"
FontPath "/usr/share/X11/fonts/100dpi"
FontPath "/usr/share/X11/fonts/75dpi"
FontPath "/usr/share/fonts/X11/misc"
FontPath "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
Load "bitmap"
Load "ddc"
Load "extmod"
Load "freetype"
Load "glx"
Load "int10"
Load "type1"
Load "vbe"
EndSection

Section "Monitor"
Identifier "ACER AL1916"
HorizSync 30.0 - 100.0
VertRefresh 50.0 - 160.0
Option "DPMS"
EndSection

Section "Device"
Identifier "Tarjeta de vídeo genérica"
Driver "nvidia"
EndSection

Section "Screen"
Identifier "Default Screen"
Device "Tarjeta de vídeo genérica"
Monitor "ACER AL1916"
DefaultDepth 24
Option "UseFBDev" "true"
SubSection "Display"
Depth 1
Modes "1280x1024" "1024x768" "800x600" "640x480"
EndSubSection
SubSection "Display"
Depth 4
Modes "1280x1024" "1024x768" "800x600" "640x480"
EndSubSection
SubSection "Display"
Depth 8
Modes "1280x1024" "1024x768" "800x600" "640x480"
EndSubSection
SubSection "Display"
Depth 15
Modes "1280x1024" "1024x768" "800x600" "640x480"
EndSubSection
SubSection "Display"
Depth 16
Modes "1280x1024" "1024x768" "800x600" "640x480"
EndSubSection
SubSection "Display"
Depth 24
Modes "1280x1024" "1024x768" "800x600" "640x480"
EndSubSection
EndSection

Imagen de ismael.garcia

Hola, a mi me pasaba lo mismo con las barras de titulo y modifiqué unos valores del archivo xorg.conf y se soluciono. Lo que no se es como puedes arreglar lo de la aceleración, ya que a mi se me instalo bien. (¿Has probado a instalar la tarjeta con Automatix?).
Esta es mi configuración de xorg.conf:
Section "Device"
Identifier "NVIDIA Corporation NVIDIA Default Card"
Driver "nvidia"
Option "VBERestore" "true"
EndSection

Section "Screen"
Identifier "Default Screen"
Device "NVIDIA Corporation NVIDIA Default Card"
Monitor "Generic Monitor"
DefaultDepth 24
Option "AddARGBGLXVisuals" "True"

Creo que con que solo modifiques esto te valdrá. Primero haz una copia del tuyo, por si acaso no te reinicia bien.

Imagen de Anónimo

Acabo de pasar de Guadalinex v3 a Ubuntu Dapper (6.06), aunque sigo siendo muy novato en esto. Resulta que en Guadalinex no tenía aceleración 3d, pero conseguí configurarla finalmente. Lo malo es que me daba problemas siguiendo estos pasos para instalar Beryl. De modo que decidí saltar de una distribución a otra (no sólo por Beryl, sino que me gustaba más).

Instalé Ubuntu sin problemas (bueno, sí, que la resolución a la hora de instalar era de 640x480 y salían ventanas enormes, tenía que darle a los botones de siguiente tanteando con el tabulador). La instalación de Beryl salió al tirón, sin problema alguno. Sólo tuve que reiniciar el ordenador por completo ya que con Ctrl+Alt+Backspace no era suficiente (insignificancias).

Ahora vienen los problemas: resulta que cuando entra a la primera, los bordes de las ventanas comienzan a parpadear, siendo realmente mareante. El caso es que con Shift+Backspace hago que vuelva a entrar y funciona perfectamente. Yo no soy muy ducho en Linux (aunque ya sé bastante más que si no me hubiera puesto siquiera). Mis preguntas son:

1. ¿Qué es lo que hago realmente cuando pulso Shift+Backspace? ¿Es lo mismo que Ctrl+Alt+Backspace? ¿Hay alguna manera de que no haga falta hacer este proceso?

2. Echo en falta algunos efectos que he visto en videos, como las ventanas que arden cuando se cierran, ventanas 3d que se superponen al mover el cubo, etc. ¿Hay manera de actualizar a las nuevas versiones sin necesidad de desinstalarlo todo, como he leido por ahí? Creo haber leido que la que instalamos es la versión 0.9 y ya van por la 1.4, y que para instalarla habría que desinstalarlo todo lo de beryl y empezar de nuevo para poner directamente la nueva versión.

No creo que tenga problemas de hardware. Mi ordenador es un Pentium IV a 3'2 GHz, con 2GB de RAM DDR400 y gráfica AGP Ati Radeon X800GTO de 256MB, totalmente tuneado :P (modeado es el término). Fotos aquí para los curiosos :P

Muchas gracias adelantadas.

Imagen de Anónimo

Perdón, el enlace no lo puse bien :P Espero que ahora sí. Fotos de mi mod aquí.

Imagen de supereder

Llegué en la cónsola hasta:
sudo apt-get install xserver-xgl libgl1-mesa xserver-xorg libglitz-glx1 beryl beryl-core beryl-manager beryl-plugins beryl-plugins-data beryl-settings emerald emerald-themes
y me respondió:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
libgl1-mesa ya está en su versión más reciente.
xserver-xorg ya está en su versión más reciente.
E: No se pudo encontrar el paquete beryl

Es decir, no puedo instalar el paquete porque no lo consigue mi máquina. Ayúdenme, por favor

Eder Peña

Imagen de Templao

A mi me da exactamente el mismo mensaje, no se q puede ser. Si nos podeis ayudar... Gracias.

Imagen de Huicho

ya instale beryl pero cuando lo quiero administrar sale esto
huicho@huicho:~$ beryl-manager
huicho@huicho:~$ libGL warning: 3D driver claims to not support visual 0x5b

Que puedo Hacer para que funcione?

Imagen de zetatron

Seguí los pasos y funciona a la perfección en una Ubuntu 6.06. El único problema que me daba era que a la primera no arrancaba del todo bien (los bordes de las ventanas parpadeaban, siendo realmente mareante). Supongo que sería por algún conflicto entre el gestor de ventanas de Gnome y el Emerald. Pero ya se solucionó ACTUALIZANDO Beryl.

Sí, los pasos aquí descritos sirven para instalar la versión 0.1.1 y ya van un poco más avanzados. Yo tengo ahora la 0.2, que incluye efecto nieve, efecto quemado de ventanas, el 3dworld (para ventanas en 3d) y un montón de pluggins más. Yo he hecho un truquito con el efecto nieve (lo llamo efecto aspirina): símplemente cambiar la textura del copo de nieve por el de una burbuja, quitar la opción de rotación y hacerle que la "nevada" sea de abajo arriba. El único "bug" que tiene es que al iniciarse siempre empieza de arriba abajo, aunque luego se soluciona. Ya lo mejorarán.


Comentario patrocinado por Merchandlinux.com.
Hoycriticamos.com, porque siempre hay algo que criticar.

Imagen de anistoles

He seguido todos los pasos inidicados y no he tenido problemas con la instalación, pero al iniciar la sesion gnome-Xgl me ha dado error en el archivo .xsession-errors :
/etc/gdm/PreSession/Default: Registering your session with wtmp and utmp
/etc/gdm/PreSession/Default: running: /usr/bin/sessreg -a -w /var/log/wtmp -u /var/run/utmp -x "/var/lib/gdm/:0.Xservers" -h "" -l ":0" "joseluis"
/etc/gdm/Xsession: Beginning session setup...
SESSION_MANAGER=local/mesa1:/tmp/.ICE-unix/7575
Gnome-Message: gnome_execute_async_with_env_fds: returning -1

(gnome-panel:7643): GdkPixbuf-CRITICAL **: gdk_pixbuf_scale_simple: assertion `dest_width > 0' failed

(gnome-panel:7643): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 24
Advertencia del gestor de ventanas: Se ha perdido la conexión con la pantalla «:0.0»;
parece que el servidor X fue apagado o que usted ha matado o destruido el gestor de ventanas.
beryl: No composite extension
XGL Absent, checking for NVIDIA
Nvidia Absent, assuming AIGLX
-------------------------------------------------------------------

Mi tarjeta de video es : NV18 [GeForce4 MX 440 AGP 8x]

y la version de ubuntu 6.0.6.1

A ver si alguien puede echarme una mano.

Imagen de thebabyxtremeboy

mmmmm

------------------------------------------------------------------------------------------------------------------------
El software libre es de todos y para todos.... :D

------------------------------------------------------------------------------------------------------------------------
El software libre es de todos y para todos.... :D

Imagen de anistoles

No entiendo esa respuesta a mi solicitud de ayuda.

Imagen de bitxina

lo hago todo y todo perfecto, reinicio el entorno y me sale el diamantito rojo del beryl, mu bonito, pero no tengo ningun efecto, ni cubo, ni lluvia, ni nada de nada.. ah! si.. todas las ventanas me salen enormes, no puedo cambiar de escritorio y en general se comporta de forma rara.. alguien me podria decir que me pasa?? :_(

Imagen de schmmelinger

Hola ke tal soy nuevo en el foro y akabo de migrar a ubuntu a laversion 6.10 edgy anteriormente usaba slackware 11.0 XD ubuntu se me hace muy buena distro a pesar que levo dias con ella. mi problema es a la hora de ejecutar

apt-get remove compiz compiz-gnome xserver-xgl

me tira este error:
E: Tipo 'CRCsum=3250687013' desconocido en la línea 4 de lista de fuentes /etc/apt/sources.list
E: No se pudieron leer las listas de fuentes.

no se a que se deba tengo una ati 9600 pro y tengo aceleracion grafica logro ver los engranes girando (jejej ia es algo) soy muy paciente ye espero que me puedan dar alguna respuesta tanto me puede servir ami como a muchos mas

de antemano gracias por su ayuda
Schmmleinger

Imagen de slap

Las bitácoras no son para resolver dudas, para eso están los foros.
Por favor, haced vuestras preguntas én los foros adecuados.
Gracias.
______________________________
Equipo de moderadores del Foro
Normas del foro

Saludos.

0000 start out (+FD),A
           ld  BC, +7FFF
           jp 03CB, RAM-CHECK

http://www.injiniero.es

Imagen de _sentinel_

Tengo problemas al iniciar.

Aprieto ctrl+alt+latecladeborrar se me reinicia la sesion y me pone lo siguiente:
"Xsession: unable to launch "usr/bin/startgnomexgl.sh"
"X session --- "/usr/bin/startgnomexgl.sh" no found;
falling back to default session"

Q tengo mal? echo la guia a paso a paso igual.
acceleracion 3d es yes, tengo un portatil dell inspiron 9300 con una grafica nvidia 6800 go, version de ubuntu 6.06.

Imagen de slap

Os repito que las bitácoras no son para consultas, para eso usad los foros apropiados.
______________________________
Equipo de moderadores del Foro
Normas del foro

Saludos.

0000 start out (+FD),A
           ld  BC, +7FFF
           jp 03CB, RAM-CHECK

http://www.injiniero.es